API Reference
List reservations
Requires reservations:read. Mirrored provider reservations, not live availability. Fixed page size 20. Continue nextCursor while hasNext is true with the same filters and sorting.
GET
/
reservations
List reservations
curl --request GET \
--url https://platform-api.visitoai.com/m2m/v1/reservations \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.visitoai.com/m2m/v1/reservations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.visitoai.com/m2m/v1/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mirrors": [
{
"attempts": [
{
"createdAt": "<string>",
"lifecycleEventType": "booking_confirmed",
"result": "would_send",
"reason": "<string>",
"attemptCount": 123,
"duplicateCount": 123,
"triggerSource": "sync_transition",
"senderPhoneNumber": "<string>",
"senderLabel": "<string>",
"conversationId": "<string>",
"conversationLink": "<string>"
}
],
"attemptsCount": 123,
"provider": "cloudbeds",
"integrationId": "<string>",
"providerReservationId": "<string>",
"status": "<string>",
"lastSyncedAt": "<string>",
"updatedAt": "<string>",
"integrationName": "<string>",
"propertyId": "<string>",
"propertyName": "<string>",
"checkInDate": "<string>",
"checkOutDate": "<string>",
"sourceUpdatedAt": "<string>",
"sourceFreshnessAt": "<string>",
"bookedAt": "<string>",
"guestFullName": "<string>",
"guestEmail": "<string>",
"guestPhone": "<string>"
}
],
"filters": {
"integrations": [
{
"provider": "cloudbeds",
"integrationId": "<string>",
"integrationName": "<string>"
}
]
},
"availableStatuses": [
"<string>"
],
"availableSorts": [
{
"sortBy": "check_in_date",
"sortDir": "asc",
"label": "<string>"
}
],
"pageSize": 123,
"hasNext": true,
"nextCursor": "<string>"
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Query Parameters
Maximum string length:
160Maximum string length:
500Maximum string length:
160Maximum string length:
64Available options:
check_in_date, booked_at Available options:
asc, desc ⌘I
List reservations
